Skip to main content
GET
/
v5
/
revenue
/
revenues
Get revenues
curl --request GET \
  --url https://sandbox.hurdlr.com/rest/v5/revenue/revenues \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": 50.01,
      "bankAccountId": 123,
      "id": 123,
      "status": "ACTIVE",
      "reviewStatus": "PARTNER_REVIEW_REQUIRED",
      "userAccess": "NONE",
      "accountantAccess": "NONE",
      "type": "BUSINESS",
      "date": "2022-01-04T10:20:00Z",
      "state": "UNKNOWN",
      "salesTaxAmount": 1.01,
      "description": "Gas purchase",
      "businessId": 123,
      "clientId": 123,
      "clientName": "<string>",
      "businessName": "<string>",
      "originalBusinessName": "<string>",
      "invoiceId": 123,
      "apiPaymentId": "<string>",
      "apiAccountId": "<string>",
      "apiAccountNo": "<string>",
      "apiAccountName": "<string>",
      "apiInstitutionId": "<string>",
      "bankTransferId": 123,
      "bankDescription": "<string>",
      "currencyType": "USD",
      "revenueAccountId": 123,
      "revenueRuleId": 123,
      "customData": {},
      "v6EntityId": "<string>",
      "apiOrderId": "<string>"
    }
  ],
  "lastUpdatedDate": "2023-11-07T05:31:56Z",
  "cursor": "<string>",
  "deletedIds": [
    123
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

lastUpdatedDate
string

Date filter (YYYY-MM-DD) - returns all records updated after the specified date. Null returns all data

cursor
string

Cursor from the previous paginated response

limit
integer<int32>

Page size, i.e. number of items to return per page

Query Parameters

year
integer<int32>

Year filter (YYYY) - returns all records for the specified year. Null will return all revenues.

type
enum<string>[]

Type filter - returns all revenues for the specified types. Null or empty list will default to PENDING, BUSINESS, & NOT_BUSINESS.

Available options:
BUSINESS,
NOT_BUSINESS,
PENDING
status
enum<string>[]

Status filter - returns all revenues for the specified statuses. Null or empty list will default to ACTIVE.

Available options:
ACTIVE,
INACTIVE

Response

200 - application/json

successful operation

data
object[]

The list of entities

lastUpdatedDate
string<date-time>

Date filter - to be used in your subsequent request

cursor
string

Cursor to be used in your subsequent paginated request. Only populated if there are more pages available.

deletedIds
integer<int32>[]

Ids of entities that no longer match the request's filter criteria since the request's lastUpdatedDate